Package org.silverpeas.components.datawarning.model

## Class DataWarningDataManager

- java.lang.Object
- - org.silverpeas.components.datawarning.model.DataWarningDataManager

-     public class DataWarningDataManager
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataWarningDataManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `closeAllConnection​(Connection con, Statement st)` |
    `void` | `closeAllConnection​(Connection con, Statement st, ResultSet rs)` |
    `void` | `closeConnection​(Connection con)` |
    `void` | `createDataWarning​(DataWarning dw)` |
    `void` | `createDataWarningGroup​(DataWarningGroup dwg)` |
    `void` | `createDataWarningQuery​(DataWarningQuery dwq)` |
    `void` | `createDataWarningScheduler​(DataWarningScheduler dws)` |
    `void` | `createDataWarningUser​(DataWarningUser dwu)` |
    `void` | `deleteDataWarning​(String instanceId)` |
    `void` | `deleteDataWarningGroup​(String instanceId, int groupId)` |
    `void` | `deleteDataWarningGroups​(String instanceId)` |
    `void` | `deleteDataWarningQuery​(String instanceId)` |
    `void` | `deleteDataWarningQuery​(String instanceId, int queryCondition)` |
    `void` | `deleteDataWarningScheduler​(String instanceId)` |
    `void` | `deleteDataWarningUser​(String instanceId, int userId)` |
    `void` | `deleteDataWarningUsers​(String instanceId)` |
    `DataWarning` | `getDataWarning​(String instanceId)` |
    `DataWarningGroup` | `getDataWarningGroup​(String instanceId, int groupId)` |
    `Collection<DataWarningGroup>` | `getDataWarningGroups​(String instanceId)` |
    `Collection<DataWarningQuery>` | `getDataWarningQueries​(String instanceId)` |
    `DataWarningQuery` | `getDataWarningQuery​(String instanceId, int queryCondition)` |
    `DataWarningScheduler` | `getDataWarningScheduler​(String instanceId)` |
    `List<String>` | `getDataWarningSchedulerInstances()` |
    `DataWarningUser` | `getDataWarningUser​(String instanceId, String userId)` |
    `Collection<DataWarningUser>` | `getDataWarningUsers​(String instanceId)` |
    `Connection` | `openConnection()` | Ouverture de la connection vers la source de donnees
    `void` | `updateDataWarning​(DataWarning dw)` |
    `void` | `updateDataWarningGroup​(DataWarningGroup dwg)` |
    `void` | `updateDataWarningQuery​(DataWarningQuery dwq)` |
    `void` | `updateDataWarningScheduler​(DataWarningScheduler dws)` |
    `void` | `updateDataWarningUser​(DataWarningUser dwu)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataWarningDataManager

          public DataWarningDataManager()
                                 throws DataWarningException

      Throws:
        `DataWarningException`

  - ### Method Detail

    - #### createDataWarning

          public void createDataWarning​(DataWarning dw)
                                 throws DataWarningException

      Throws:
        `DataWarningException`

    - #### deleteDataWarning

          public void deleteDataWarning​(String instanceId)
                                 throws DataWarningException

      Throws:
        `DataWarningException`

    - #### updateDataWarning

          public void updateDataWarning​(DataWarning dw)
                                 throws DataWarningException

      Throws:
        `DataWarningException`

    - #### getDataWarning

          public DataWarning getDataWarning​(String instanceId)
                                     throws DataWarningException

      Throws:
        `DataWarningException`

    - #### createDataWarningQuery

          public void createDataWarningQuery​(DataWarningQuery dwq)
                                      throws DataWarningException

      Throws:
        `DataWarningException`

    - #### deleteDataWarningQuery

          public void deleteDataWarningQuery​(String instanceId)
                                      throws DataWarningException

      Throws:
        `DataWarningException`

    - #### deleteDataWarningQuery

          public void deleteDataWarningQuery​(String instanceId,
                                             int queryCondition)
                                      throws DataWarningException

      Throws:
        `DataWarningException`

    - #### updateDataWarningQuery

          public void updateDataWarningQuery​(DataWarningQuery dwq)
                                      throws DataWarningException

      Throws:
        `DataWarningException`

    - #### getDataWarningQuery

          public DataWarningQuery getDataWarningQuery​(String instanceId,
                                                      int queryCondition)
                                               throws DataWarningException

      Throws:
        `DataWarningException`

    - #### getDataWarningQueries

          public Collection<DataWarningQuery> getDataWarningQueries​(String instanceId)
                                                             throws DataWarningException

      Throws:
        `DataWarningException`

    - #### createDataWarningScheduler

          public void createDataWarningScheduler​(DataWarningScheduler dws)
                                          throws DataWarningException

      Throws:
        `DataWarningException`

    - #### deleteDataWarningScheduler

          public void deleteDataWarningScheduler​(String instanceId)
                                          throws DataWarningException

      Throws:
        `DataWarningException`

    - #### updateDataWarningScheduler

          public void updateDataWarningScheduler​(DataWarningScheduler dws)
                                          throws DataWarningException

      Throws:
        `DataWarningException`

    - #### getDataWarningScheduler

          public DataWarningScheduler getDataWarningScheduler​(String instanceId)
                                                       throws DataWarningException

      Throws:
        `DataWarningException`

    - #### getDataWarningSchedulerInstances

          public List<String> getDataWarningSchedulerInstances()
                                                        throws DataWarningException

      Throws:
        `DataWarningException`

    - #### createDataWarningGroup

          public void createDataWarningGroup​(DataWarningGroup dwg)
                                      throws DataWarningException

      Throws:
        `DataWarningException`

    - #### deleteDataWarningGroup

          public void deleteDataWarningGroup​(String instanceId,
                                             int groupId)
                                      throws DataWarningException

      Throws:
        `DataWarningException`

    - #### deleteDataWarningGroups

          public void deleteDataWarningGroups​(String instanceId)
                                       throws DataWarningException

      Throws:
        `DataWarningException`

    - #### updateDataWarningGroup

          public void updateDataWarningGroup​(DataWarningGroup dwg)
                                      throws DataWarningException

      Throws:
        `DataWarningException`

    - #### getDataWarningGroups

          public Collection<DataWarningGroup> getDataWarningGroups​(String instanceId)
                                                            throws DataWarningException

      Throws:
        `DataWarningException`

    - #### getDataWarningGroup

          public DataWarningGroup getDataWarningGroup​(String instanceId,
                                                      int groupId)
                                               throws DataWarningException

      Throws:
        `DataWarningException`

    - #### createDataWarningUser

          public void createDataWarningUser​(DataWarningUser dwu)
                                     throws DataWarningException

      Throws:
        `DataWarningException`

    - #### deleteDataWarningUser

          public void deleteDataWarningUser​(String instanceId,
                                            int userId)
                                     throws DataWarningException

      Throws:
        `DataWarningException`

    - #### deleteDataWarningUsers

          public void deleteDataWarningUsers​(String instanceId)
                                      throws DataWarningException

      Throws:
        `DataWarningException`

    - #### updateDataWarningUser

          public void updateDataWarningUser​(DataWarningUser dwu)
                                     throws DataWarningException

      Throws:
        `DataWarningException`

    - #### getDataWarningUsers

          public Collection<DataWarningUser> getDataWarningUsers​(String instanceId)
                                                          throws DataWarningException

      Throws:
        `DataWarningException`

    - #### getDataWarningUser

          public DataWarningUser getDataWarningUser​(String instanceId,
                                                    String userId)
                                             throws DataWarningException

      Throws:
        `DataWarningException`

    - #### openConnection

          public Connection openConnection()
                                    throws DataWarningException

      Ouverture de la connection vers la source de donnees
      Returns:
        Connection la connection
      Throws:
        `DataWarningException`

    - #### closeConnection

          public void closeConnection​(Connection con)

    - #### closeAllConnection

          public void closeAllConnection​(Connection con,
                                         Statement st)

    - #### closeAllConnection

          public void closeAllConnection​(Connection con,
                                         Statement st,
                                         ResultSet rs)